Convova
API reference

Tags

The per-event taxonomies that categorize contributors, organizations, and sessions.

List contributor tags

GET
/events/{slug}/contributor-tags

The contributor taxonomy (Speaker, Judge, …). Group contributors by these.

Path Parameters

slug*string

The event's unique slug.

Response Body

application/json

application/json

curl -X GET "https://example.com/events/string/contributor-tags"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",      "name": "string",      "color": "string",      "sortOrder": 0    }  ],  "error": null,  "pagination": {    "offset": 0,    "limit": 0,    "total": 0,    "hasMore": true  }}

List organization tags

GET
/events/{slug}/organization-tags

The organization taxonomy (Sponsor, Exhibitor, …). Group organizations by these.

Path Parameters

slug*string

The event's unique slug.

Response Body

application/json

application/json

curl -X GET "https://example.com/events/string/organization-tags"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",      "name": "string",      "color": "string",      "sortOrder": 0    }  ],  "error": null,  "pagination": {    "offset": 0,    "limit": 0,    "total": 0,    "hasMore": true  }}

List session tags

GET
/events/{slug}/session-tags

The session taxonomy (tracks, rooms, formats, …).

Path Parameters

slug*string

The event's unique slug.

Response Body

application/json

application/json

curl -X GET "https://example.com/events/string/session-tags"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",      "name": "string",      "color": "string",      "sortOrder": 0    }  ],  "error": null,  "pagination": {    "offset": 0,    "limit": 0,    "total": 0,    "hasMore": true  }}